# Overview

Solidus is very flexible. It allows you to customize every part of the store, both
the customer-facing storefront part (also called "frontend") and the admin panel
(also called "backend").

Some customizations are very easy to implement, even for inexperienced developers.
Others may require a solid understanding of the Ruby and Ruby on Rails ecosystem,
which are the language and the framework that power Solidus, respectively. This
guide will provide a brief introduction to the different types of customization
that are possible using Solidus.

### Table of Contents

- [Learn How to Customize the Storefront][storefront]
- [Learn How to Customize the Admin Panel][admin]
- [Learn How to Customize Solidus Classes][decorators]
- [Learn How to Customize Assets][assets]
- [Learn How to Customize Permissions][permissions]
- [Learn How to Customize Attributes][attributes]
- [Learn How to Customize Mailers][mailers]
- [Learn How to Customize After-login Redirects][after-login-redirects]

[storefront]: customizing-storefront.html
[admin]: customizing-admin.html
[assets]: customizing-assets.html
[decorators]: decorators.html
[permissions]: customizing-permissions.html
[attributes]: customizing-attributes.html
[mailers]: customizing-mailers.html
[after-login-redirects]: customizing-after-login-redirects.html
