# Overview

Solidus's **Settings** section includes a number of pages that help you manage
store-wide settings, including tax rates, shipping methods, and payment methods.

This article introduces each settings page and how the settings affect your
store.

## Stores

The **Settings > Stores** page allows you to manage some of the global settings
across all of your stores. These global settings include your site's name,
site-wide SEO tag data, and the sender email address used when emails are sent
by your store.

If your Solidus application manages multiple stores, you can choose the store
you want to edit from a list.

For more information about these settings, see the [Stores][stores] article.

[stores]: stores.html

## Payments

You can manage Solidus's available payment methods from the **Settings >
Payments** page. Typically, a payment method is displayed as an option that
customers can use to pay at checkout.

For more information about managing payment methods, see the
[Payments][payments] article.

[payments]: payments.html

## Taxes

You can manage the tax rates and categories that Solidus uses from the
**Settings > Taxes** page. Solidus's taxes relate to shipping charges as well as
the products that you sell.

For more information about tax management, see the [Taxes][taxes] article.

[taxes]: taxes.html

## Refunds and Returns

You can manage Solidus's returns system from the **Settings > Refunds and
Returns** page. Because the returns system is flexible, there are many settings.

For more information about managing Solidus's returns system, see the [Refunds
and returns][returns] article.

[returns]: refunds-and-returns.html

## Shipping

You can manage Solidus's available shipping methods, shipping categories, and
stock locations from the **Settings > Shipping** page.

For more information about managing Solidus's shipping settings, see the
[Shipping][shipping] article.

[shipping]: shipping.html

## Zones

Before you set up your shipping and tax settings, you should start by setting up
zones. A zone is a group of states or countries that your store needs to ship to
and/or tax. A country or state could exist in multiple zones or none at all.

For more information on how to use zones, see the [Zones][zones] article.

[zones]: zones.html
